## oss4 4.2

=== utils/Makefile ===
CFLAGS=-I../include

PROGRAMS=snoopy mixgen readtimings

all: $(PROGRAMS)

snoopy: snoopy.c ../kernel/drv/oss_hdaudio/hdaudio.h
	$(CC) -o snoopy snoopy.c -I../kernel/drv/oss_hdaudio $(CFLAGS)

mixgen: mixgen.c ../kernel/drv/oss_hdaudio/hdaudio.h
	$(CC) -o mixgen mixgen.c -I../kernel/drv/oss_hdaudio $(CFLAGS)

mixgen2: mixgen2.c ../kernel/drv/oss_hdaudio/hdaudio.h
	$(CC) -o mixgen2 mixgen2.c -I../kernel/drv/oss_hdaudio $(CFLAGS)

clean:
	rm -f $(PROGRAMS) core core.* *.core *~ x y z *.o

=== lib/libOSSlib/Makefile ===
OBJS=libmain.o midiparser.o play_event.o
INSTALLLIB=/lib
LDFLAGS=-shared -fPIC
CFLAGS=-O -fPIC
#LDFLAGS=-Bdynamic
AROPTS=rc
AR=ar

all:	
	sh ./compile.sh $(INSTALLLIB) "$(CC)" "$(CFLAGS)" "$(MAKE)"

install: all
	cp libOSSlib.* $(INSTALLLIB)
	cp drums.o3 std.o3 /etc

static: libOSSlib.a
	cp libOSSlib.a $(INSTALLLIB)

libOSSlib.so:	$(OBJS)
	${CC} $(LDFLAGS) -o libOSSlib.so $(OBJS)

dep:

clean:
	rm -f *.o *.so x y z core *.a

libOSSlib.a:	$(OBJS)
	$(AR) $(AROPTS) libOSSlib.a $(OBJS)
	#-ranlib libOSSlib.a

=== lib/libsalsa/Makefile ===
LOBJECTS=main.lo output.lo misc.lo pcm.lo mix.lo seq.lo seqmid.lo rawmidi.lo seq_output.lo timer.lo stubs.lo seq_input.lo

OSSLIBDIR=/usr/lib/oss

CFLAGS=-O -I../../include -I../libOSSlib
LIBTOOL=libtool --tag=CC

all: libsalsa.la

*.lo:		local.h 

main.lo:	main.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c main.c

pcm.lo:	pcm.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c pcm.c 

misc.lo:	misc.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c misc.c

stubs.lo:	stubs.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c stubs.c

mix.lo:	mix.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c mix.c

output.lo:	output.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c output.c

seq.lo:	seq.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c seq.c 

timer.lo:	timer.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c timer.c 

seqmid.lo:	seqmid.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c seqmid.c 

seq_input.lo:	seq_input.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c seq_input.c 

seq_output.lo:	seq_output.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c seq_output.c 

rawmidi.lo:	rawmidi.c
		$(LIBTOOL) --mode=compile ${CC} $(CFLAGS) -c rawmidi.c 

libsalsa.la:   $(LOBJECTS)
		$(LIBTOOL) --mode=link ${CC} -rpath /usr/lib -Wl,--version-script=Versions -version-info 2:0:0 -o libsalsa.la $(LOBJECTS) -L../libOSSlib -lOSSlib

install:	libsalsa.la
		$(LIBTOOL) cp libsalsa.la /usr/lib
		(cd /usr/lib;ln -sf libsalsa.so.2.0.0 libasound.so)
		(cd /usr/lib;ln -sf libsalsa.so.2.0.0 libasound.so.2)

dep:

clean:
		rm -f core core.* *.o *.a *.lo *.so *.loT *.la x y z *.s
		rm -rf .libs

=== tutorials/sndkit/Makefile ===
TOPDIR=../..

include $(TOPDIR)/make.defs

SUBDIRS=dsp morse tests samples sblive softsynth userdev_demo

all: subdirs

clean: clean_local clean_subdirs

=== kernel/drv/lynxtwo/Makefile ===
#Makefile for Open Sound System module lynxtwo

CC = cc HOSTCC = cc CPLUSPLUS = g++ - fno - rtti - fno - exceptions - fpermissive - I.OSFLAGS = -DOSS_LITTLE_ENDIAN OS = Linux ARCH = i686 TOPDIR =.. /.. /.. /..OBJDIR = $ (TOPDIR) / target / objects TMPDIR =.MODDIR = $ (TOPDIR) / target / modules BINDIR = $ (TOPDIR) / target / bin LIBDIR = $ (TOPDIR) / target / lib SBINDIR = $ (TOPDIR) / target / sbin OSSLIBDIR = "/usr/lib/oss" THISOS = kernel / OS / Linux CFLAGS += -D_KERNEL CFLAGS += -O3 - fno - common - ffreestanding - mregparm = 3 - DUSE_REGPARM - fno - stack - protector OBJECTS = $ (TMPDIR) / Hal4114.o $ (TMPDIR) / Hal8420.o $ (TMPDIR) / HalAES16e.o $ (TMPDIR) / HalAdapter.o $ (TMPDIR) / HalAurora.o $ (TMPDIR) / HalDMA.o $ (TMPDIR) / HalDevice.o $ (TMPDIR) / HalEEPROM.o $ (TMPDIR) / HalLStream.o $ (TMPDIR) / HalMIDIDevice.o $ (TMPDIR) / HalMixer.o $ (TMPDIR) / HalOSS.o $ (TMPDIR) / HalPlayMix.o $ (TMPDIR) / HalPlayMixNew.o $ (TMPDIR) / HalPlayMixV3.o $ (TMPDIR) / HalRecordMix.o $ (TMPDIR) / HalRegister.o $ (TMPDIR) / HalSampleClock.o $ (TMPDIR) / HalTimecode.o $ (TMPDIR) / HalWaveDMADevice.o $ (TMPDIR) / HalWaveDevice.o $ (TMPDIR) / OssAudio.o $ (TMPDIR) / lynxtwo.o $ (TMPDIR) / ossutils.o TARGETS = $ (MODDIR) / lynxtwo $ (MODDIR) / lynxtwo.o DEPDIR = $ (TMPDIR) CSOURCES = lynxtwo.c ossutils.c all: $ (MODDIR) / lynxtwo.o lint: lint_sources dep:$ (AUTOGEN_SOURCES) dep_local
  include $ (TOPDIR) / make.defs
$ (MODDIR) /
lynxtwo.o:
$ (OBJECTS)
$ (LD)
$ (LDARCH) -
r - o
$ (MODDIR) /
lynxtwo.o
$ (OBJECTS)
$ (TMPDIR) /
Hal4114.o:Hal4114.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
Hal4114.cpp - o
$ (TMPDIR) /
Hal4114.o
$ (TMPDIR) /
Hal8420.o:Hal8420.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
Hal8420.cpp - o
$ (TMPDIR) /
Hal8420.o
$ (TMPDIR) /
HalAES16e.o:HalAES16e.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalAES16e.cpp - o
$ (TMPDIR) /
HalAES16e.o
$ (TMPDIR) /
HalAdapter.o:HalAdapter.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalAdapter.cpp - o
$ (TMPDIR) /
HalAdapter.o
$ (TMPDIR) /
HalAurora.o:HalAurora.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalAurora.cpp - o
$ (TMPDIR) /
HalAurora.o
$ (TMPDIR) /
HalDMA.o:HalDMA.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalDMA.cpp - o
$ (TMPDIR) /
HalDMA.o
$ (TMPDIR) /
HalDevice.o:HalDevice.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalDevice.cpp - o
$ (TMPDIR) /
HalDevice.o
$ (TMPDIR) /
HalEEPROM.o:HalEEPROM.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalEEPROM.cpp - o
$ (TMPDIR) /
HalEEPROM.o
$ (TMPDIR) /
HalLStream.o:HalLStream.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalLStream.cpp - o
$ (TMPDIR) /
HalLStream.o
$ (TMPDIR) /
HalMIDIDevice.o:HalMIDIDevice.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalMIDIDevice.cpp - o
$ (TMPDIR) /
HalMIDIDevice.o
$ (TMPDIR) /
HalMixer.o:HalMixer.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalMixer.cpp - o
$ (TMPDIR) /
HalMixer.o
$ (TMPDIR) /
HalOSS.o:HalOSS.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalOSS.cpp - o
$ (TMPDIR) /
HalOSS.o
$ (TMPDIR) /
HalPlayMix.o:HalPlayMix.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalPlayMix.cpp - o
$ (TMPDIR) /
HalPlayMix.o
$ (TMPDIR) /
HalPlayMixNew.o:HalPlayMixNew.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalPlayMixNew.cpp - o
$ (TMPDIR) /
HalPlayMixNew.o
$ (TMPDIR) /
HalPlayMixV3.o:HalPlayMixV3.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalPlayMixV3.cpp - o
$ (TMPDIR) /
HalPlayMixV3.o
$ (TMPDIR) /
HalRecordMix.o:HalRecordMix.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalRecordMix.cpp - o
$ (TMPDIR) /
HalRecordMix.o
$ (TMPDIR) /
HalRegister.o:HalRegister.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalRegister.cpp - o
$ (TMPDIR) /
HalRegister.o
$ (TMPDIR) /
HalSampleClock.o:HalSampleClock.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalSampleClock.cpp - o
$ (TMPDIR) /
HalSampleClock.o
$ (TMPDIR) /
HalTimecode.o:HalTimecode.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalTimecode.cpp - o
$ (TMPDIR) /
HalTimecode.o
$ (TMPDIR) /
HalWaveDMADevice.o:HalWaveDMADevice.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalWaveDMADevice.cpp - o
$ (TMPDIR) /
HalWaveDMADevice.o
$ (TMPDIR) /
HalWaveDevice.o:HalWaveDevice.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
HalWaveDevice.cpp - o
$ (TMPDIR) /
HalWaveDevice.o
$ (TMPDIR) /
OssAudio.o:OssAudio.cpp
$ (CPLUSPLUS) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (INCLUDES)
OssAudio.cpp - o
$ (TMPDIR) /
OssAudio.o
$ (TMPDIR) /
lynxtwo.o:lynxtwo.c
$ (CC) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (LIBRARIES)
$ (INCLUDES)
lynxtwo.c - o
$ (TMPDIR) /
lynxtwo.o
$ (TMPDIR) /
ossutils.o:ossutils.c
$ (CC) -
  c
$ (CFLAGS)
$ (OSFLAGS)
$ (LIBRARIES)
$ (INCLUDES)
ossutils.c - o
$ (TMPDIR) /
ossutils.o clean:clean_local

=== misc/samples/ddksample/Makefile ===
OBJECTS=ddksample.o ddksample_audio.o ddksample_mixer.o ddksample_misc.o
CFLAGS=-D_KERNEL

all: ddksample

ddksample:	$(OBJECTS)
		ld -dy -r -Ndrv/osscore $(OBJECTS) -o ddksample
#		ld -64 -dy -r -Ndrv/osscore $(OBJECTS) -o ddksample	# For 64 bit kernels

install:	ddksample
		cp ddksample /kernel/drv/ddksample
		cp ddksample.conf /kernel/drv/ddksample.conf
		-rem_drv ddksample
		add_drv ddksample
		ossdetect -d

clean:
		rm -f ddksample *.o x y z core *~

=== tutorials/sndkit/dsp/Makefile ===
#CC	= gcc
#CFLAGS	= -O6 -m486 -funroll-loops -Wall
CFLAGS	= -O -I../../../include
#LD	= gcc
LD	= cc
#LDFLAGS	= -s -N
LDFLAGS	= -s 

INSTALLDIR	= /usr/local/bin

.c.o:
#	$(CC) -c $(CFLAGS) -o $*.o $<
	$(CC) -c $(CFLAGS) $<

all: srec

install: all
	cp srec $(INSTALLDIR)
	ln -sf $(INSTALLDIR)/srec $(INSTALLDIR)/splay
	chown root $(INSTALLDIR)/splay $(INSTALLDIR)/srec
	chmod 755 $(INSTALLDIR)/splay $(INSTALLDIR)/srec
	cd str;make install

srec: recplay.o help.o
	$(LD) $(LDFLAGS) recplay.o help.o -o srec

clean:
	rm -f $(OBJS) *.o srec a.out core
	cd str;make clean

recplay.o: recplay.c

=== tutorials/sndkit/libossmix_demo/Makefile ===
CFLAGS=-I/usr/lib/oss/include
LDFLAGS=-lossmix

# Comment out the following line under Solaris
#LDFLAGS += -lnsl -lresolv -lsocket

PROGRAMS=ossmixlib_demo

all: $(PROGRAMS)

clean:
	rm -f *.o *~ x y z $(PROGRAMS)

=== tutorials/sndkit/morse/Makefile ===
INSTALLDIR=/usr/local/bin
TARGETS=morse morse2 morse3 testgen loadcw 
CFLAGS=-I../../../include
LDLAGS=

all: $(TARGETS)

morse2.o morse3.o morse.o testgen.o: charlist.h

morse: morse.o
		$(CC) $(LDFLAGS) -o morse morse.o -lm

morse2: morse2.o
		$(CC) $(LDFLAGS) -o morse2 morse2.o -lm

morse3: morse3.o
		$(CC) $(LDFLAGS) -o morse3 morse3.o -lm

testgen: testgen.o
		$(CC) $(LDFLAGS) -o testgen testgen.o -lm

install: $(TARGETS)
		cp -f $(TARGETS) randomcw Vvcw $(INSTALLDIR)
		chmod 755 $(INSTALLDIR)/randomcw

clean:
		rm -f *.o $(TARGETS) core core.* x y z *~

=== tutorials/sndkit/ossmplay/Makefile ===
CC = cc
CFLAGS = -g
LIBOBJS	= mlib.o 
INSTALLDIR=/usr/local/bin
INSTALLLIB=/usr/lib
.PREFIXES:	.o .c

# Uncomment the following lines if you want to use OSSlib.
# Look at the OSSlib subdirectory for more info about OSSlib.
# NOTE! OSS version 3.8-beta2 or later is required for OSSlib.
OSSDEFINES=-DOSSLIB
OSSLIBS=-lOSSlib

all : ossmplay

install: ossmplay
	cp ossmplay $(INSTALLDIR)/ossmplay

ossmplay : main.o $(LIBOBJS)
	$(CC) $(CFLAGS) -o ossmplay main.o $(LIBOBJS) -L$(INSTALLLIB) $(OSSLIBS)

main.o:	mlib.h main.c
	$(CC) $(CFLAGS) $(OSSDEFINES) -c main.c

mlib.o: mlib.h

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f *.o ossmplay core

=== tutorials/sndkit/samples/Makefile ===
#
# Note! In most systems soundcard.h located under <sys/> or <linux/> is for
#       obsolete OSS 3.x version and these utilities will fail to compile with
#       it. For safety reasons utilities located in this directory have been 
#	changed to include just <soundcard.h> instead of <sys/soundcard.h>.
#	
#	The correct version of soundcard.h is located in
#       /usr/lib/oss/include/sys. However some operating systems have OSS4
#	included in the base system and /usr/include/sys/soundcard.h may be
#	correct.
#
#	You can use the OSSLIBDIR variable defined in /etc/oss.conf. If this
#	file exists then include it in the Makefile. You can use
#       -I(OSSLIBDIR)/include/sys

CFLAGS=-I../../../include

# Note2! Not all programs are included in TARGET. The missing programs are
#        used to demonstrate OSS features that are not recommended.

TARGETS=audiolevel dsp_geterror_demo fulldup midi midiin mixer_applet mixext mmap_duplex mmap_test playtgt recsrc singen

all: $(TARGETS)

clean:
	rm -f $(TARGETS) *.o core core.* *.core x y z *~

=== tutorials/sndkit/sblive/Makefile ===
CC=cc -O
SRCDIR=../../..
INCLUDE=-I$(SRCDIR)/include
LDFLAGS=
INSTALLDIR=/usr/local/bin
INSTALLLIB=/usr/lib/oss
CFLAGS=$(INCLUDE) -DUSERLAND

all: asm10k ld10k emu10k.bin1 emu10k.bin2 emu10k1_dsp.h emu10k2_dsp.h

install: ld10k emu10k.bin1 emu10k.bin2
		strip asm10k
		rm -f $(INSTALLDIR)/ld10k $(INSTALLDIR)/emu10k.bin1 $(INSTALLDIR)/emu10k.bin2
		cp  ld10k $(INSTALLDIR)
		cp  emu10k.bin1 $(INSTALLLIB)
		cp  emu10k.bin2 $(INSTALLLIB)
		cp  *.map /tmp

load: ld10k emu10k.bin1
		cp -f *.map /tmp
		./ld10k emu10k.bin1 -a

aload: ld10k emu10k.bin2
		cp -f *.map /tmp
		./ld10k emu10k.bin2 -a

testload: ld10k test.bin2
		./ld10k test.bin2 -a

ld10k: ld10k.c
		$(CC) $(CFLAGS) $(INCLUDE) -o ld10k ld10k.c
		strip ld10k

asm10k: asm10k.c
		$(CC) $(CFLAGS) $(INCLUDE) -o asm10k asm10k.c

emu10k.bin1: emu10k.dsp asm10k equalizer.mac emu10k1.mac
		./emuasm1 emu10k.dsp

emu10k.bin2: emu10k.dsp asm10k equalizer.mac emu10k2.mac
		./emuasm2 emu10k.dsp

test.bin2: test.dsp asm10k equalizer.mac emu10k2.mac
		./emuasm2 test.dsp

emu10k1_dsp.h:	emu10k.bin1 mkheader
		./mkheader emu10k1_dsp < emu10k.bin1 > emu10k1_dsp.h

emu10k2_dsp.h:	emu10k.bin2 mkheader
		./mkheader emu10k2_dsp < emu10k.bin2 > emu10k2_dsp.h

clean:
		rm -f *.o asm10k ld10k writegpr *.bin *.bin1 *.bin2 core x y z testgen *.map mkheader *_dsp.h

## oss4 4.2-build2004

=== debian/changelog ===
oss4 (4.2-build2004-1ubuntu2) oneiric; urgency=low

  * Build with -Wno-error=unused-but-set-variable. LP: #809761.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Sep 2011 11:57:01 +0200

oss4 (4.2-build2004-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.
    - Supports our current kernel (LP: #746048)
    Remaining changes:
    - debian/oss4-dkms.dkms.in: s/source/build/ in Kernel headers paths.
  * ld-as-needed.patch: Re-order CC arguments to enable building with ld
    --as-needed (LP: #770972)

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 16 Jun 2011 20:37:48 +0200

oss4 (4.2-build2004-1) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/control: Add liboss4-salsa2, liboss4-salsa-dev and
    liboss4-salsa-asound2 packages, equivalent to (and will replace) those from
    the oss-libsalsa package (Closes: #589127).
  * debian/patches/liboss4-salsa.patch: New patch to rename libsalsa into
    liboss4-salsa to avoid conflicts in the archive for no good reason.
  * debian/rules: Make in libOSSlib and libsalsa.
  * debian/liboss4-salsa-dev.install, debian/liboss4-salsa2.install,
    debian/liboss4-salsa-asound2.links, debian/liboss4-salsa-dev.links:
    Install liboss4-salsa libraries like was done in the oss-libsalsa package.
  * include-alsa: Add a copy of ALSA 1.0.5 headers: Cf ALSA_1.0.* symbols in
    libsalsa, this is the roughly supported version.
  * debian/copyright: Update for new include-alsa files.
  * alsa.pc: New file for compatibility with libasound-dev.
  * debian/control:
    - Add Vcs-Browser and Vcs-Svn fields.
    - Use linux-any instead of the list of Linux archs (Closes: #604679).
    - Make dkms dependency linux-any only.
  * debian/patches/hurd_iot.patch: New patch to fix soundcard.h usage in
    libsalsa on hurd-i386.
  * debian/patches/libsalsa_fixes.patch: New patch to fix some printf usages
    and ioctl declaration in libsalsa.
  * debian/patches/no_EBADE.patch: New patch to cope with hurd-i386 not having
    EBADE.
  * debian/patches/CFLAGS.patch: New patch to make oss4 take debian/rules
    CFLAGS into account.
  * debian/patches/snd_asoundlib_version.patch: New patch to add
    snd_asoundlib_version().
  * debian/patches/generic_srccconf.patch: New patch to fix source
    configuration on unknown archs.

  [ Romain Beauxis ]
  * Fixed README.Debian to only mention dkms' modules.
  * Switch to dpkg-source 3.0 (quilt) format
  * Added DM-Upload-Allowed: yes
  
  [ Sebastien NOEL ]
  * New upstream release (Closes: #595298, #619272).
  * Fix typo in initscript (Closes: #627149).
  * debian/control: adjust linux-headers dependencies (Closes: #628879).

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 Jun 2011 10:06:56 -0500

oss4 (4.2-build2003-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #606833). Remaining changes:
    - debian/oss4-dkms.dkms.in:
      s/source/build/ in Kernel headers paths.
      Thanks to Jason Scurfu and Niall Creech

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 31 Jul 2010 19:37:43 +0200

oss4 (4.2-build2003-1) unstable; urgency=high

  * New upstream release.
  * Removed oss4-source, set oss4-dmks as the 
    only way to compile the drivers.
  * Reload modules in oss4-dmks' postinst when
    called with action "configure".
  Closes: #558034
  * Added soundon and soundoff script to survive
    a suspend/resume cycle. Added Recommends: pm-utils.
  Closes: #565709
  * Added explicit dependency on linux-headers to make sure
    the modules' build symklink is present.
  Closes: #587191
  * Bumped standards-version.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 14 Jul 2010 21:16:03 -0500

oss4 (4.2-build2002-3ubuntu1) maverick; urgency=low

  * debian/{dkms/dkms.conf.template,m-a/rules}:
    s/source/build/ in Kernel headers paths.
    Thanks to Jason Scurfu and Niall Creech (LP: #519577) 

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 25 Jun 2010 23:29:01 +0200

oss4 (4.2-build2002-3) unstable; urgency=low

  * Switched to dh_dkms.
  Closes: #564202
  * Bumped standards-version.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 24 Mar 2010 18:43:54 -0500

oss4 (4.2-build2002-2) unstable; urgency=low

  [ Sebastien NOEL ]
  * oss4-source: fix debian/rules permissions. Closes: #563692.

 -- Sebastien NOEL <sebastien@twolife.org>  Wed, 06 Jan 2010 11:57:19 +0100

oss4 (4.2-build2002-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
    - drop patches/sharedlib.patch
  * #491551 was fixed a long time ago, remove duplicate modprobe.d rules
    (Closes: #558407).

  [ Romain Beauxis ]
  * Added DKMS modules.
  * Do not execute oss4-base init.d script
    if the package is not installed.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 07 Dec 2009 14:52:21 -0600

oss4 (4.2-build2000-6) unstable; urgency=low

  * Fixed FTBFS on hppa. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 29 Nov 2009 15:57:05 -0600

oss4 (4.2-build2000-5) unstable; urgency=low

  * Fixed FTBFS on powerpc and s390. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 29 Nov 2009 09:22:39 -0600

oss4 (4.2-build2000-4) unstable; urgency=low

  * Fixed patches against FTBFS, this time for good.. 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 27 Nov 2009 19:03:50 -0600

oss4 (4.2-build2000-3) unstable; urgency=low

  * Fixed incorrect character in patch.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 27 Nov 2009 02:33:47 -0600

oss4 (4.2-build2000-2) unstable; urgency=low

  * Switched patch system to quilt via cdbs.
  * Added patch to support sh4 arch, thanks to Nobuhiro Iwamatsu
  Closes: #557909 
  * Adapted one of the above patch to also fix FTBFS on sparc and mips.
  * Added patch to fix FTBFS due to an invalid printf.
  Closes: #557866
  * Added README.Debian to explain how to build the kernel modules.
  * Removed hurd-i386, kfreebsd-amd64 and kfreebsd-i386 from the 
    list of target archs. A better solution should be investigated later..



=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALLINIT_ARGS := --no-start -- start 50 S . stop 50 0 1 6 .
DEB_DH_INSTALL_ARGS := -X.svn
UPSTREAM_VERSION := $(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|rev|cut -d- -f2-|rev|cut -d':' -f2)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

pre-build:: apply-patches stamp-prepare-oss4

stamp-prepare-oss4:
	mkdir -p $(CURDIR)/build-tree/oss-build
	cd $(CURDIR)/build-tree/oss-build && $(CURDIR)/configure --enable-libsalsa=NO

	# we do NOT want to build the kernel modules now
	sed -i -e 's/SUBDIRS=lib cmd kernel\(.*\)/SUBDIRS=lib cmd\1/' $(CURDIR)/build-tree/oss-build/Makefile
	echo > $(CURDIR)/build-tree/oss-build/.makefile

	touch $@

stamp-build-oss4:
	cd $(CURDIR)/build-tree/oss-build && make build

	# TODO: rewrite upstream's 'build.sh' from scratch
	cat `find $(CURDIR)/build-tree/oss-build/kernel/drv -name .devices`| grep -v '^#' \
	| sort | grep -v '^osscore' | grep -v '^oss_audiocs' | grep -v '^oss_sadasupport' \
	> $(CURDIR)/build-tree/oss-build/prototype/usr/lib/oss/etc/devices.list

	for n in `cat $(CURDIR)/build-tree/oss-build/prototype/usr/lib/oss/etc/devices.list | cut -f 1 | uniq` ; do \
	    ( sed "s:CONFIGFILEPATH:/etc/oss4/conf:g" < $(CURDIR)/build-tree/oss-build/noregparm/kernel/drv/$$n/$$n.man > /tmp/ossman.txt && \
	    /usr/bin/txt2man -t "$$n" -v "OSS Devices" -s 7 /tmp/ossman.txt | gzip -9 > $(CURDIR)/build-tree/oss-build/prototype/usr/share/man/man7/$$n.7.gz ) \
	done

	touch $@

stamp-build-libsalsa:
	cd $(CURDIR)/build-tree/oss-build/lib/libOSSlib && CFLAGS="$$CFLAGS -isystem $(CURDIR)/debian/include-alsa" make libOSSlib.so
	cd $(CURDIR)/build-tree/oss-build/lib/libsalsa && CFLAGS="$$CFLAGS -isystem $(CURDIR)/debian/include-alsa" make

	touch $@

build/oss4-base:: stamp-build-oss4

build/oss4-dkms:: stamp-source-oss4
	sed -e 's#_VERSION_#$(UPSTREAM_VERSION)#' < debian/oss4-dkms.install.in > debian/oss4-dkms.install
	sed -e 's#_VERSION_#$(UPSTREAM_VERSION)#' < debian/oss4-dkms.dkms.in > debian/oss4-dkms.dkms

build/liboss4-salsa2:: stamp-build-libsalsa
build/liboss4-salsa-dev:: stamp-build-libsalsa
build/liboss4-salsa-asound2:: stamp-build-libsalsa

install/oss4-dkms::
	dh_dkms

stamp-source-oss4:
	bash ./debian/create-ma-tree.sh build-tree/modules/oss4 build-tree/oss-build
	find build-tree/modules/oss4 -type f -exec chmod -x {} \;
	touch $@

$(CURDIR)/debian/tmp: stamp-build-oss4
	cp -a $(CURDIR)/build-tree/oss-build/prototype $(CURDIR)/debian/tmp

install/oss4-base:: $(CURDIR)/debian/tmp
	sed -e 's#_VERSION_#$(UPSTREAM_VERSION)#' < debian/oss.conf.in > debian/oss.conf

binary-install/oss4-base::
	chmod +x $(CURDIR)/debian/oss4-base/etc/pm/sleep.d/30oss4-pm

install/oss4-dev:: $(CURDIR)/debian/tmp

install/oss4-source:: $(CURDIR)/debian/tmp

install/oss4-gtk:: $(CURDIR)/debian/tmp

clean::
	rm -rf stamp-build-oss4 stamp-prepare-oss4 stamp-source-oss4 \
	stamp-build-libsalsa \
	debian/oss4-dkms.install debian/dkms/dkms.conf \
	oss-v$(UPSTREAM_VERSION)-src-gpl.tar.bz2.cdbs-config_list \
	debian/oss.conf

## oss4 4.2-build2005

=== debian/changelog ===
oss4 (4.2-build2005-3) unstable; urgency=low

  * Enable build of liboss4-salsa-dev on !linux only.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Feb 2012 13:08:30 +0100

oss4 (4.2-build2005-2) unstable; urgency=low

  [ Sebastien NOEL ]
  * Merge Samuel Thibault 's changes in debian/rules: do not prepare oss4
    on hurd-any. Should fixes FTBFS on hurd-any.
  * Reintroduce an oss4-source package. I realy dislike DKMS.
  * Fix oss4-dkms's install failure, thanks to Michel Briand
    (closes: #653374).
  * Fix compilation on i386, closes: #645537.

  [ Samuel Thibault ]
  * debian/control: Make oss4-gtk depend on oss4-base on linux-any only
    (closes: #647271).
  * debian/rules: Remove debian/oss4-dkms.dkms on clean.

 -- Sebastien NOEL <sebastien@twolife.org>  Thu, 29 Dec 2011 21:22:42 +0100

oss4 (4.2-build2005-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
  * debian/patches/os_cmd: add a new option to ossdetect to choose
    the devices nodes' owner (Closes: #632296).
  * add debian/patches/gcc-4.6.patch (Closes: #625398).
  * add debian/patches/kfreebsd-gnu.patch to build liboss4-salsa2
    and oss4-gtk on GNU/kFreeBSD, thanks to Robert Millan! (Closes: #636631).
  * debian/control: stop providing libasound-dev (Closes: #644685).
  * debian/create-ma-tree.sh: fix oss4-dkms installation (Closes: #640829).

 -- Sebastien NOEL <sebastien@twolife.org>  Sat, 15 Oct 2011 15:22:51 +0200

=== debian/control ===
Source: oss4
Section: sound
Priority: optional
Maintainer: Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>
Uploaders: Sebastien NOEL <sebastien@twolife.org>, Romain Beauxis <toots@rastageeks.org>, Samuel Thibault <samuel.thibault@ens-lyon.org>
DM-Upload-Allowed: yes
Build-Depends: 
 debhelper (>= 7), cdbs, gawk, 
 libgtk2.0-dev, txt2man, quilt, patchutils, 
 libtool, dkms [linux-any]
Vcs-Browser: http://svn.debian.org/wsvn/pkg-oss4/oss4/
Vcs-Svn: svn://svn.debian.org/pkg-oss4/oss4/
Standards-Version: 3.9.2

Package: oss4-base
Architecture: linux-any
Depends: linux-sound-base, ${shlibs:Depends}, ${misc:Depends}
Recommends: pm-utils
Suggests: oss4-modules
Description: Open Sound System - base package
 Open Sound System (OSS) is an attempt in unifying
 the digital audio architecture for UNIX.
 .
 This package contains various utilities for configuring
 and using OSS
 .
 For OSS to work on a system with a given sound card, there must be
 an OSS driver for that card in the kernel. For Linux,
 a custom oss4-modules package can be built from the sources
 in the oss4-source package using the module-assistant utility.

Package: oss4-gtk
Architecture: linux-any kfreebsd-any
Depends: oss4-base [linux-any], ${shlibs:Depends}, ${misc:Depends}
Description: Open Sound System - simple GTK2-based mixer control
 Open Sound System (OSS) is an attempt in unifying
 the digital audio architecture for UNIX.
 .
 This package contains a GTK2-based mixer control program.

Package: oss4-dkms
Section: kernel
Architecture: linux-any
Depends: ${misc:Depends}, oss4-base, dkms, linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers
Provides: oss4-modules
Description: Open Sound System - DKMS module sources
 This package contains the source for the OSS4 kernel modules,
 packaged with approriate configuration for DKMS to build new
 modules dynamically.

Package: oss4-source
Architecture: linux-any
Depends: ${misc:Depends}, make, debhelper, module-assistant
Description: Open Sound System - drivers sources
 This package provides the source code for the OSS4 kernel modules,
 in a form suitable for use by module-assistant.

Package: oss4-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: Open Sound System - development files
 This package provides the header for OSS 4.x development.
 You need this file if you want to build programs which use
 the OSS 4.x API.

Package: liboss4-salsa2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OSS to Alsa compatibility library
 Liboss4-salsa is a library providing an ALSA interface on top of OSS.

Package: liboss4-salsa-dev
Provides: libasound2-dev, liboss-salsa-dev
Conflicts: libasound2-dev, liboss-salsa-dev
Section: libdevel
Architecture: kfreebsd-any hurd-any
Depends: ${misc:Depends}, liboss4-salsa2 (= ${binary:Version})
Description: OSS to Alsa compatibility library -- development files
 Liboss4-salsa is a library providing an ALSA interface on top of OSS.
 .
 This package contains the development part of liboss4-salsa, which permit
 to build application using alsa on architectures which do not have libasound.

Package: liboss4-salsa-asound2
Section: libs
Architecture: all
Provides: libasound2
Conflicts: libasound2
Depends: ${misc:Depends}, liboss4-salsa2
Description: OSS to Alsa compatibility library - binary compatibility symlink
 Liboss4-salsa is a library providing an ALSA interface on top of OSS.
 .
 This package contains a symbolic link that makes applications already compiled
 with ALSA use liboss4-salsa.

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,11 @@
 DEB_DH_INSTALL_ARGS := -X.svn
 UPSTREAM_VERSION := $(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|rev|cut -d- -f2-|rev|cut -d':' -f2)
 
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+
 
 pre-build:: apply-patches stamp-prepare-oss4
 
@@ -13,15 +16,18 @@
 	mkdir -p $(CURDIR)/build-tree/oss-build
 	cd $(CURDIR)/build-tree/oss-build && $(CURDIR)/configure --enable-libsalsa=NO
 
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
 	# we do NOT want to build the kernel modules now
-	sed -i -e 's/SUBDIRS=lib cmd kernel\(.*\)/SUBDIRS=lib cmd\1/' $(CURDIR)/build-tree/oss-build/Makefile
+	sed -i -e 's/SUBDIRS=lib cmd \(.*\)/SUBDIRS=lib cmd os_cmd/' $(CURDIR)/build-tree/oss-build/Makefile
 	echo > $(CURDIR)/build-tree/oss-build/.makefile
+endif
 
 	touch $@
 
 stamp-build-oss4:
 	cd $(CURDIR)/build-tree/oss-build && make build
 
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	# TODO: rewrite upstream's 'build.sh' from scratch
 	cat `find $(CURDIR)/build-tree/oss-build/kernel/drv -name .devices`| grep -v '^#' \
 	| sort | grep -v '^osscore' | grep -v '^oss_audiocs' | grep -v '^oss_sadasupport' \
@@ -31,6 +37,7 @@
 	    ( sed "s:CONFIGFILEPATH:/etc/oss4/conf:g" < $(CURDIR)/build-tree/oss-build/noregparm/kernel/drv/$$n/$$n.man > /tmp/ossman.txt && \
 	    /usr/bin/txt2man -t "$$n" -v "OSS Devices" -s 7 /tmp/ossman.txt | gzip -9 > $(CURDIR)/build-tree/oss-build/prototype/usr/share/man/man7/$$n.7.gz ) \
 	done
+endif
 
 	touch $@
 
@@ -41,6 +48,15 @@
 	touch $@
 
 build/oss4-base:: stamp-build-oss4
+
+build/oss4-source:: stamp-source-oss4
+	rm -rf build-tree/modules/oss4/debian
+	mkdir -p build-tree/modules/oss4/debian
+	cp -r debian/m-a/* build-tree/modules/oss4/debian/
+	cp debian/copyright build-tree/modules/oss4/debian/
+	cp debian/changelog build-tree/modules/oss4/debian/
+	chmod 755 build-tree/modules/oss4/debian/rules
+	cd build-tree/ &&  tar cjf oss4.tar.bz2 modules/
 
 build/oss4-dkms:: stamp-source-oss4
 	sed -e 's#_VERSION_#$(UPSTREAM_VERSION)#' < debian/oss4-dkms.install.in > debian/oss4-dkms.install
@@ -76,7 +92,8 @@
 clean::
 	rm -rf stamp-build-oss4 stamp-prepare-oss4 stamp-source-oss4 \
 	stamp-build-libsalsa \
-	debian/oss4-dkms.install debian/dkms/dkms.conf \
+	build-tree \
+	debian/oss4-dkms.install debian/oss4-dkms.dkms debian/dkms/dkms.conf \
 	oss-v$(UPSTREAM_VERSION)-src-gpl.tar.bz2.cdbs-config_list \
 	debian/oss.conf

## oss4 4.2-build2006

=== debian/changelog ===
oss4 (4.2-build2006-2+deb7u1) testing-proposed-updates; urgency=medium

  * Non-maintainer upload.
  * Drop linux-sound-base dependency, break and replace it (closes: #690574)
    - Directly include OSS-module-list and ALSA-module-list.
  * Use integer arithmetic in vmix (closes: #694631).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 16 Dec 2012 01:04:52 +0000

oss4 (4.2-build2006-2) unstable; urgency=low

  * Fix non-Linux builds: generate alsa.pc from the libsalsa build rule.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 May 2012 18:07:38 +0200

oss4 (4.2-build2006-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Samuel Thibault ]
  * control: Set liboss4-salsa2 and liboss4-salsa-asound2 mult-arch: same. Set
    liboss4-salsa-asound2 architecture: any to build symlink for each arch.
    Update my email address.
  * alsa.pc: rename to alsa.pc.in
  * liboss4-salsa-dev.install: Remove library rules.
  * liboss4-salsa-asound2.links: Remove.
  * liboss4-salsa2.install: Remove.
  * liboss4-salsa-dev.links: Remove
  * oss4-base.install: Do not use braces, this is actually not supported.
  * rules: Install libraries to multiarch path. Add multiarch path to alsa.pc.
    Remove alsa.pc on clean. Put back libOSS.so to private (but multiarched)
    directory.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Mar 2012 01:05:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Maintainer: Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastien NOEL <sebastien@twolife.org>, Romain Beauxis <toots@rastageeks.org>, Samuel Thibault <samuel.thibault@ens-lyon.org>
+Uploaders: Sebastien NOEL <sebastien@twolife.org>, Romain Beauxis <toots@rastageeks.org>, Samuel Thibault <sthibault@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: 
  debhelper (>= 7), cdbs, gawk, 
@@ -10,11 +10,13 @@
  libtool, dkms [linux-any]
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-oss4/oss4/
 Vcs-Svn: svn://svn.debian.org/pkg-oss4/oss4/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: oss4-base
 Architecture: linux-any
-Depends: linux-sound-base, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: linux-sound-base
+Replaces: linux-sound-base
 Recommends: pm-utils
 Suggests: oss4-modules
 Description: Open Sound System - base package
@@ -67,7 +69,9 @@
 Package: liboss4-salsa2
 Section: libs
 Architecture: any
+Multi-arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: OSS to Alsa compatibility library
  Liboss4-salsa is a library providing an ALSA interface on top of OSS.
 
@@ -85,10 +89,12 @@
 
 Package: liboss4-salsa-asound2
 Section: libs
-Architecture: all
+Architecture: any
 Provides: libasound2
 Conflicts: libasound2
+Multi-arch: same
 Depends: ${misc:Depends}, liboss4-salsa2
+Pre-Depends: ${misc:Pre-Depends}
 Description: OSS to Alsa compatibility library - binary compatibility symlink
  Liboss4-salsa is a library providing an ALSA interface on top of OSS.
  .

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 UPSTREAM_VERSION := $(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|rev|cut -d- -f2-|rev|cut -d':' -f2)
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
@@ -14,7 +15,7 @@
 
 stamp-prepare-oss4:
 	mkdir -p $(CURDIR)/build-tree/oss-build
-	cd $(CURDIR)/build-tree/oss-build && $(CURDIR)/configure --enable-libsalsa=NO
+	cd $(CURDIR)/build-tree/oss-build && $(CURDIR)/configure --enable-libsalsa=NO --config-vmix=FIXEDPOINT
 
 ifneq ($(DEB_HOST_ARCH_OS),hurd)
 	# we do NOT want to build the kernel modules now
@@ -44,6 +45,7 @@
 stamp-build-libsalsa:
 	cd $(CURDIR)/build-tree/oss-build/lib/libOSSlib && CFLAGS="$$CFLAGS -isystem $(CURDIR)/debian/include-alsa" make libOSSlib.so
 	cd $(CURDIR)/build-tree/oss-build/lib/libsalsa && CFLAGS="$$CFLAGS -isystem $(CURDIR)/debian/include-alsa" make
+	sed -e '/^libdir/s&$$&/$(DEB_HOST_MULTIARCH)&' < debian/alsa.pc.in > debian/alsa.pc
 
 	touch $@
 
@@ -82,6 +84,27 @@
 
 binary-install/oss4-base::
 	chmod +x $(CURDIR)/debian/oss4-base/etc/pm/sleep.d/30oss4-pm
+	cat debian/modprobe.d/OSS-module-list \
+	        | sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e '/^$$/d' \
+		    -e 's/[[:space:]].*//' -e 's/^/blacklist /' \
+	        > debian/oss4-base/etc/modprobe.d/oss4-base_noOSS3.conf
+	cat debian/modprobe.d/ALSA-module-list \
+	        | sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e '/^$$/d' \
+		    -e 's/[[:space:]].*//' -e 's/^/blacklist /' \
+	        > debian/oss4-base/etc/modprobe.d/oss4-base_noALSA.conf
+
+binary-install/liboss4-salsa-dev::
+	dh_install -pliboss4-salsa-dev build-tree/oss-build/lib/libsalsa/.libs/liboss4-salsa.a build-tree/oss-build/lib/libsalsa/.libs/liboss4-salsa.so usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_link -pliboss4-salsa-dev /usr/lib/$(DEB_HOST_MULTIARCH)/liboss4-salsa.so.2 /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.so.2
+	dh_link -pliboss4-salsa-dev /usr/lib/$(DEB_HOST_MULTIARCH)/liboss4-salsa.so.2 /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.so
+	dh_link -pliboss4-salsa-dev /usr/lib/$(DEB_HOST_MULTIARCH)/liboss4-salsa.so.2 /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.a
+
+binary-install/liboss4-salsa2::
+	dh_install -pliboss4-salsa2 build-tree/oss-build/lib/libsalsa/.libs/liboss4-salsa.so.2* usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -pliboss4-salsa2 build-tree/oss-build/lib/libOSSlib/libOSSlib.so usr/lib/$(DEB_HOST_MULTIARCH)/oss4-libsalsa
+
+binary-install/liboss4-salsa-asound2::
+	dh_link -pliboss4-salsa-asound2 /usr/lib/$(DEB_HOST_MULTIARCH)/liboss4-salsa.so.2 /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.so.2
 
 install/oss4-dev:: $(CURDIR)/debian/tmp
 
@@ -90,7 +113,7 @@
 install/oss4-gtk:: $(CURDIR)/debian/tmp
 
 clean::
-	rm -rf stamp-build-oss4 stamp-prepare-oss4 stamp-source-oss4 \
+	rm -rf stamp-build-oss4 stamp-prepare-oss4 stamp-source-oss4 debian/alsa.pc \
 	stamp-build-libsalsa \
 	build-tree \
 	debian/oss4-dkms.install debian/oss4-dkms.dkms debian/dkms/dkms.conf \

## oss4 4.2-build2007

=== debian/changelog ===
oss4 (4.2-build2007-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Downgrade the linux-headers dependency to recommends.
    (Closes: #728267)

 -- Philipp Kern <pkern@debian.org>  Sat, 23 Nov 2013 15:23:32 +0100

oss4 (4.2-build2007-2) unstable; urgency=medium

  * Revert changes from the previous NMU, it breaks more things
    than it fixes.
  * Until a *tested* patch is proposed, VMIX is now using
    fixed point arithmetic in the kernel.

 -- Sebastien NOEL <sebastien@twolife.org>  Tue, 04 Dec 2012 20:53:17 +0100

oss4 (4.2-build2007-1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable preemption in functions touching control registers 
    - Patch thanks to Roland Stigge (closes: #693659).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 Nov 2012 06:55:01 +0000

oss4 (4.2-build2007-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU, thanks Michael Gilbert.
  * Add debian/patches/110_ld-as-needed.patch: Rearrange order of linker
    arguments to fix building with "ld --as-needed" (closes: #630737).
  * Add missing dependency on dpkg-dev to oss4-dkms and oss4-source
    (closes: #687086).
  * Fix typo in the changelog (closes: #628876, #675933)
  * Add debian/patches/002_fix-linux-oss_native_word.patch (closes: #693662).
    Thanks to Ben Hutchings.
  * Add debian/patches/003_linux-error-logging-fixes.patch (closes: #693657).
    Thanks to Ben Hutchings.
  * check for /lib/modules/${kernelver}/build in addition of
    /lib/modules/${kernelver}/source (closes: #587191).
  * oss4-dkms.dkms.in: fix 'CLEAN' rules (closes: #653374).

 -- Sebastien NOEL <sebastien@twolife.org>  Mon, 19 Nov 2012 11:47:24 +0100

oss4 (4.2-build2006-2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop linux-sound-base dependency, break and replace it (closes: #690574)
    - Directly include OSS-module-list and ALSA-module-list.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 14 Nov 2012 01:47:48 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: 
  debhelper (>= 7), cdbs, gawk, 
- libgtk2.0-dev, txt2man, quilt, patchutils, 
+ libgtk2.0-dev, txt2man, patchutils, 
  libtool, dkms [linux-any]
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-oss4/oss4/
 Vcs-Svn: svn://svn.debian.org/pkg-oss4/oss4/
@@ -43,7 +43,8 @@
 Package: oss4-dkms
 Section: kernel
 Architecture: linux-any
-Depends: ${misc:Depends}, oss4-base, dkms, linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers
+Depends: ${misc:Depends}, oss4-base, dkms, dpkg-dev
+Recommends: linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic
 Provides: oss4-modules
 Description: Open Sound System - DKMS module sources
  This package contains the source for the OSS4 kernel modules,
@@ -52,7 +53,7 @@
 
 Package: oss4-source
 Architecture: linux-any
-Depends: ${misc:Depends}, make, debhelper, module-assistant
+Depends: ${misc:Depends}, make, debhelper, module-assistant, dpkg-dev
 Description: Open Sound System - drivers sources
  This package provides the source code for the OSS4 kernel modules,
  in a form suitable for use by module-assistant.

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,9 @@
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 
-pre-build:: apply-patches stamp-prepare-oss4
+pre-build:: stamp-prepare-oss4
 
 stamp-prepare-oss4:
 	mkdir -p $(CURDIR)/build-tree/oss-build
@@ -117,6 +116,5 @@
 	stamp-build-libsalsa \
 	build-tree \
 	debian/oss4-dkms.install debian/oss4-dkms.dkms debian/dkms/dkms.conf \
-	oss-v$(UPSTREAM_VERSION)-src-gpl.tar.bz2.cdbs-config_list \
 	debian/oss.conf

## oss4 4.2-build2010

=== debian/changelog ===
oss4 (4.2-build2010-5ubuntu9) jammy; urgency=medium

  * Switch from obsolete -mhard-float flag to -mfloat-abi=hard.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 29 Nov 2021 15:46:09 +0000

oss4 (4.2-build2010-5ubuntu8) hirsute; urgency=medium

  * Support Linux 5.11 (LP: #1916872):
    - debian/patches/520-Linux-5.11-re-introduce-get-seconds.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 25 Feb 2021 11:32:44 +0000

oss4 (4.2-build2010-5ubuntu7) groovy; urgency=medium

  * Fixes build on ppc64el with binutils 2.35 (LP: #1891565)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 14 Aug 2020 18:40:15 -0300

oss4 (4.2-build2010-5ubuntu6) groovy; urgency=medium

  * Fix build for Linux >=5.6:
    512-Linux-5.6-proc-fops-conversion.patch,
    513-Linux-5.6-define-time_t.patch
    properly use KBUILD_EXTRA_SYMBOLS instead of symlinking Module.symvers

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 21 May 2020 14:00:44 +0000

oss4 (4.2-build2010-5ubuntu5) focal; urgency=medium

  * Use M= instead of SUBDIRS= on debian/oss4-dkms.dkms.in (LP: #1848590)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 14 Nov 2019 13:11:48 -0300

oss4 (4.2-build2010-5ubuntu4) eoan; urgency=medium

  * Fix build errors with Linux 5.1+ (LP: #1830056)
    - debian/patches/510_fix_makedev_build_failure.patch
    - debian/patches/511_fix_kernel_include_files.patch

 -- Colin Ian King <colin.king@canonical.com>  Thu, 13 Jun 2019 17:28:23 +0100

oss4 (4.2-build2010-5ubuntu3) cosmic; urgency=medium

  * Fix build error with Linux 4.17 (LP: #1773365)
    - debian/patches/include_cred.h.patch

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 12 Jun 2018 08:11:08 -0500

oss4 (4.2-build2010-5ubuntu2) bionic; urgency=medium

  * Add support for Linux kernel 4.15 (LP: #1737754):
    - debian/patches/support_for_new_timer_api.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 08 Feb 2018 19:44:22 +0000

oss4 (4.2-build2010-5ubuntu1) yakkety; urgency=low

  * d/p/osspci_remove-should-return-void.patch -- correct return from
    struct pci_device remove callback.  (LP: #1599237)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 05 Jul 2016 17:08:41 +0100

oss4 (4.2-build2010-5) unstable; urgency=medium

  * rules: Don't install libasound.so.2 link in liboss4-salsa-dev...
    (Closes: #783301)
  * control: ... make it depend on liboss4-salsa-asound2 instead.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Jan 2016 13:35:48 +0100

oss4 (4.2-build2010-4) unstable; urgency=medium

  * 502_linux_io.patch: Fix build on non-x86 Linux.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Sep 2015 01:37:39 +0200

oss4 (4.2-build2010-3) unstable; urgency=medium

  * debian/include-alsa/alsa/mixer.h: Update enum _snd_mixer_selem_channel_id
    to newer ALSA. Fixes some MATE builds.
  * 501_linux_version.patch: Fix build under Linux 4.x.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Sep 2015 00:25:31 +0200

oss4 (4.2-build2010-2) unstable; urgency=medium

  * Disable USB drivers, which insufficiently validate USB device descriptors.
    (Closes: #775662)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Mar 2015 20:16:31 +0100

oss4 (4.2-build2010-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependency on libc-dev for oss4-dkms to avoid build failure when
    compiling the module (Closes: #768394)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Nov 2014 16:22:36 +0100

oss4 (4.2-build2010-1) unstable; urgency=low

  [ Sebastien NOEL ]
  * New upstream release.
    - fix build with recent kernel. (Closes: #696751)
  * Add build dependency on libtool-bin. (Closes: #761783)

  [ Benda Xu ]
  * Use debhelper 9.
  * Bump to standard 3.9.6.
  * Add Benda Xu to uploaders.
  * Run wrap-and-sort.
  * Canonicalize Vcs-Svn field and add Vcs-Browser field.
  * Get rid of limits.h copy hack, leverage include-fixed from gcc.

 -- Sebastien NOEL <sebastien@twolife.org>  Thu, 23 Oct 2014 22:47:56 +0200

oss4 (4.2-build2007-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix to find kernel header (Michal Suchanek). Closes: #713841.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Oct 2014 13:56:56 +0200

oss4 (4.2-build2007-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761779.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:02:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,27 @@
 Source: oss4
 Section: sound
 Priority: optional
-Maintainer: Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastien NOEL <sebastien@twolife.org>, Romain Beauxis <toots@rastageeks.org>, Samuel Thibault <sthibault@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: 
- debhelper (>= 7), cdbs, gawk, 
- libgtk2.0-dev, txt2man, patchutils, 
- libtool, dkms [linux-any]
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-oss4/oss4/
-Vcs-Svn: svn://svn.debian.org/pkg-oss4/oss4/
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>
+Uploaders: Sebastien NOEL <sebastien@twolife.org>,
+           Romain Beauxis <toots@rastageeks.org>,
+           Samuel Thibault <sthibault@debian.org>,
+           Benda Xu <heroxbd@gentoo.org>
+Build-Depends: cdbs,
+               debhelper (>= 9),
+               dkms [linux-any],
+               gawk,
+               libgtk2.0-dev,
+               libtool-bin,
+               patchutils,
+               txt2man
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-oss4
+Vcs-Svn: svn://anonscm.debian.org/pkg-oss4/oss4
+Standards-Version: 3.9.6
 
 Package: oss4-base
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: linux-sound-base
 Replaces: linux-sound-base
 Recommends: pm-utils
@@ -32,8 +39,8 @@
  in the oss4-source package using the module-assistant utility.
 
 Package: oss4-gtk
-Architecture: linux-any kfreebsd-any
-Depends: oss4-base [linux-any], ${shlibs:Depends}, ${misc:Depends}
+Architecture: kfreebsd-any linux-any
+Depends: oss4-base [linux-any], ${misc:Depends}, ${shlibs:Depends}
 Description: Open Sound System - simple GTK2-based mixer control
  Open Sound System (OSS) is an attempt in unifying
  the digital audio architecture for UNIX.
@@ -43,7 +50,7 @@
 Package: oss4-dkms
 Section: kernel
 Architecture: linux-any
-Depends: ${misc:Depends}, oss4-base, dkms, dpkg-dev
+Depends: dkms, dpkg-dev, oss4-base, ${misc:Depends}, libc-dev
 Recommends: linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic
 Provides: oss4-modules
 Description: Open Sound System - DKMS module sources
@@ -53,7 +60,7 @@
 
 Package: oss4-source
 Architecture: linux-any
-Depends: ${misc:Depends}, make, debhelper, module-assistant, dpkg-dev
+Depends: debhelper, dpkg-dev, make, module-assistant, ${misc:Depends}
 Description: Open Sound System - drivers sources
  This package provides the source code for the OSS4 kernel modules,
  in a form suitable for use by module-assistant.
@@ -80,8 +87,8 @@
 Provides: libasound2-dev, liboss-salsa-dev
 Conflicts: libasound2-dev, liboss-salsa-dev
 Section: libdevel
-Architecture: kfreebsd-any hurd-any
-Depends: ${misc:Depends}, liboss4-salsa2 (= ${binary:Version})
+Architecture: hurd-any kfreebsd-any
+Depends: liboss4-salsa2 (= ${binary:Version}), ${misc:Depends}, liboss4-salsa-asound2
 Description: OSS to Alsa compatibility library -- development files
  Liboss4-salsa is a library providing an ALSA interface on top of OSS.
  .
@@ -94,11 +101,10 @@
 Provides: libasound2
 Conflicts: libasound2
 Multi-arch: same
-Depends: ${misc:Depends}, liboss4-salsa2
+Depends: liboss4-salsa2, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: OSS to Alsa compatibility library - binary compatibility symlink
  Liboss4-salsa is a library providing an ALSA interface on top of OSS.
  .
  This package contains a symbolic link that makes applications already compiled
  with ALSA use liboss4-salsa.
-
